org.apache.ignite.internal.processors.bulkload

## Class BulkLoadCacheWriter

- java.lang.Object
- - org.apache.ignite.internal.processors.bulkload.BulkLoadCacheWriter

All Implemented Interfaces:
  Serializable, AutoCloseable, IgniteInClosure<IgniteBiTuple<?,?>>

Direct Known Subclasses:
  BulkLoadStreamerWriter

    public abstract class BulkLoadCacheWriter
    extends Object
    implements IgniteInClosure<IgniteBiTuple<?,?>>, AutoCloseable

A proxy, which stores given key+value pair to a cache.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BulkLoadCacheWriter()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract long` `updateCnt()` Returns number of entry updates made by the writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.lang.IgniteInClosure

`apply`

### Methods inherited from interface java.lang.AutoCloseable

`close`

### Constructor Detail

#### BulkLoadCacheWriter

    public BulkLoadCacheWriter()

### Method Detail

#### updateCnt

    public abstract long updateCnt()

Returns number of entry updates made by the writer.

Returns:
  The number of cache entry updates.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018